Ogre::GLES2DepthBuffer Class Reference

`#include <OgreGLES2DepthBuffer.h>`

Inheritance diagram for Ogre::GLES2DepthBuffer:
[legend]

List of all members.

## Public Types

enum | PoolId { POOL_NO_DEPTH = 0, POOL_MANUAL_USAGE = 0, POOL_DEFAULT = 1 }

## Public Member Functions

| GLES2DepthBuffer (uint16 poolId, GLES2RenderSystem *renderSystem, GLES2Context *creatorContext, GLES2RenderBuffer *depth, GLES2RenderBuffer *stencil, uint32 width, uint32 height, uint32 fsaa, uint32 multiSampleQuality, bool isManual)
| ~GLES2DepthBuffer ()
virtual bool | isCompatible (RenderTarget *renderTarget) const
GLES2Context * | getGLContext () const
GLES2RenderBuffer * | getDepthBuffer () const
GLES2RenderBuffer * | getStencilBuffer () const
void | _setPoolId (uint16 poolId)
virtual uint16 | getPoolId () const
virtual uint16 | getBitDepth () const
virtual uint32 | getWidth () const
virtual uint32 | getHeight () const
virtual uint32 | getFsaa () const
virtual const String & | getFsaaHint () const
bool | isManual () const
virtual void | _notifyRenderTargetAttached (RenderTarget *renderTarget)
| Called when a RenderTarget is attaches this DepthBuffer.
virtual void | _notifyRenderTargetDetached (RenderTarget *renderTarget)
| Called when a RenderTarget is detaches from this DepthBuffer.
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info
void * | operator new (size_t sz)
void * | operator new (size_t sz, void *ptr)
| placement operator new
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info
void * | operator new[] (size_t sz)
void | operator delete (void *ptr)
void | operator delete (void *ptr, void *)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)

## Protected Types

typedef set< RenderTarget * >::type | RenderTargetSet

## Protected Member Functions

void | detachFromAllRenderTargets ()

## Protected Attributes

uint32 | mMultiSampleQuality
GLES2Context * | mCreatorContext
GLES2RenderBuffer * | mDepthBuffer
GLES2RenderBuffer * | mStencilBuffer
GLES2RenderSystem * | mRenderSystem
uint16 | mPoolId
uint16 | mBitDepth
uint32 | mWidth
uint32 | mHeight
uint32 | mFsaa
String | mFsaaHint
bool | mManual
RenderTargetSet | mAttachedRenderTargets

## Detailed Description

OpenGL supports 2 different methods: FBO & Copy. Each one has it's own limitations. Non-FBO methods are solved using "dummy" DepthBuffers. That is, a DepthBuffer pointer is attached to the RenderTarget (for the sake of consistency) but it doesn't actually contain a Depth surface/renderbuffer (mDepthBuffer & mStencilBuffer are null pointers all the time) Those dummy DepthBuffers are identified thanks to their GL context. Note that FBOs don't allow sharing with the main window's depth buffer. Therefore even when FBO is enabled, a dummy DepthBuffer is still used to manage the windows.

Definition at line 51 of file OgreGLES2DepthBuffer.h.

## Constructor & Destructor Documentation

Ogre::GLES2DepthBuffer::GLES2DepthBuffer | ( | uint16 | poolId,
|  | GLES2RenderSystem * | renderSystem,
|  | GLES2Context * | creatorContext,
|  | GLES2RenderBuffer * | depth,
|  | GLES2RenderBuffer * | stencil,
|  | uint32 | width,
|  | uint32 | height,
|  | uint32 | fsaa,
|  | uint32 | multiSampleQuality,
|  | bool | isManual
| ) |  |

Ogre::GLES2DepthBuffer::~GLES2DepthBuffer | ( |  | ) |

## Member Function Documentation

GLES2RenderBuffer* Ogre::GLES2DepthBuffer::getDepthBuffer | ( |  | ) | const

Definition at line 64 of file OgreGLES2DepthBuffer.h.

GLES2Context* Ogre::GLES2DepthBuffer::getGLContext | ( |  | ) | const

Definition at line 63 of file OgreGLES2DepthBuffer.h.

GLES2RenderBuffer* Ogre::GLES2DepthBuffer::getStencilBuffer | ( |  | ) | const

Definition at line 65 of file OgreGLES2DepthBuffer.h.

virtual bool Ogre::GLES2DepthBuffer::isCompatible | ( | RenderTarget * | renderTarget | ) | const`[virtual]`

Returns whether the specified RenderTarget is compatible with this DepthBuffer That is, this DepthBuffer can be attached to that RenderTarget.

Remarks:
  Most APIs impose the following restrictions: Width & height must be equal or higher than the render target's They must be of the same bit depth. They need to have the same FSAA setting

Parameters:

  renderTarget | The render target to test against

Reimplemented from Ogre::DepthBuffer.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) | `[inherited]`

Definition at line 95 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |
| ) |  | `[inherited]`

Definition at line 101 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  | `[inherited]`

Definition at line 107 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) | `[inherited]`

Definition at line 112 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  | `[inherited]`

Definition at line 118 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  | `[inherited]`

operator new, with debug line info

Definition at line 67 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) | `[inherited]`

Definition at line 72 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr
| ) |  | `[inherited]`

placement operator new

Definition at line 78 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  | `[inherited]`

array operator new, with debug line info

Definition at line 85 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) | `[inherited]`

Definition at line 90 of file OgreMemoryAllocatedObject.h.

## Member Data Documentation

GLES2Context* Ogre::GLES2DepthBuffer::mCreatorContext`[protected]`

Definition at line 69 of file OgreGLES2DepthBuffer.h.

GLES2RenderBuffer* Ogre::GLES2DepthBuffer::mDepthBuffer`[protected]`

Definition at line 70 of file OgreGLES2DepthBuffer.h.

uint32 Ogre::GLES2DepthBuffer::mMultiSampleQuality`[protected]`

Definition at line 68 of file OgreGLES2DepthBuffer.h.

GLES2RenderSystem* Ogre::GLES2DepthBuffer::mRenderSystem`[protected]`

Definition at line 72 of file OgreGLES2DepthBuffer.h.

GLES2RenderBuffer* Ogre::GLES2DepthBuffer::mStencilBuffer`[protected]`

Definition at line 71 of file OgreGLES2DepthBuffer.h.

The documentation for this class was generated from the following file:

- OgreGLES2DepthBuffer.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:28:00